#. extracted from nlpsolver/help/en/com.sun.star.comp.Calc.NLPSolver
msgid ""
msgstr ""
"Project-Id-Version: \n"
"Report-Msgid-Bugs-To: https://bugs.libreoffice.org/enter_bug.cgi?product=LibreOffice&bug_status=UNCONFIRMED&component=UI\n"
"POT-Creation-Date: 2022-07-06 20:19+0200\n"
"PO-Revision-Date: 2022-01-09 04:12+0000\n"
"Last-Translator: A S Alam <amanpreet.alam@gmail.com>\n"
"Language-Team: Punjabi <https://translations.documentfoundation.org/projects/libo_ui-master/nlpsolverhelpencomsunstarcompcalcnlpsolver/pa/>\n"
"Language: pa-IN\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n != 1;\n"
"X-Accelerator-Marker: ~\n"
"X-Generator: LibreOffice\n"
"X-POOTLE-MTIME: 1548643134.000000\n"

#. XpeLj
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"tit\n"
"help.text"
msgid "Options"
msgstr "ਚੋਣਾਂ"

#. GfZUJ
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"bm_id0503200917110375_scalc\n"
"help.text"
msgid "<bookmark_value>Solver for Nonlinear Problems;Options</bookmark_value>"
msgstr "<bookmark_value>ਗੈਰ-ਲੀਨੀਅਰ ਸਮੱਸਿਆਵਾਂ ਲਈ ਸੌਲਵਰ;ਚੋਣਾਂ</bookmark_value>"

#. FCECT
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"hd_id0503200917103593\n"
"help.text"
msgid "General Options"
msgstr "ਸਧਾਰਨ ਚੋਣਾਂ"

#. ZkCEe
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103780\n"
"help.text"
msgid "Size of Swarm"
msgstr "ਸਮੂਹ ਦਾ ਆਕਾਰ"

#. hRGYs
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103723\n"
"help.text"
msgid "… defines the number of individuals to participate in the learning process. Each individual finds its own solutions and contributes to the overall knowledge."
msgstr "…ਸਿੱਖਣ ਦੀ ਪ੍ਰਕਿਰਿਆ ਵਿੱਚ ਹਿੱਸਾ ਲੈਣ ਲਈ ਵਿਅਕਤੀਆਂ ਦੀ ਗਿਣਤੀ ਦੱਸਦਾ ਹੈ। ਹਰੇਕ ਵਿਅਕਤੀ ਆਪਣੇ ਖੁਦ ਦੇ ਹੱਲ ਲੱਭਦਾ ਹੈ ਅਤੇ ਸਮੁੱਚੇ ਗਿਆਨ ਲਈ ਯੋਗਦਾਨ ਪਾਉਂਦਾ ਹੈ।"

#. zReEK
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103771\n"
"help.text"
msgid "Learning Cycles"
msgstr "ਸਿੱਖਣ ਦਾ ਸਮਾਂ"

#. mDzwh
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103720\n"
"help.text"
msgid "… defines the number of iterations, the algorithm should take. In each iteration, all individuals make a guess on the best solution and share their knowledge."
msgstr "…ਦੁਹਰਾਈਆਂ ਦੀ ਗਿਣਤੀ, ਜੋ ਕਿ ਐਲਗੋਰਿਧਮ ਨੂੰ ਲੈਣੀਆਂ ਚਾਹੀਦੀਆਂ ਹਨ, ਨੂੰ ਦੱਸਦਾ ਹੈ। ਹਰੇਕ ਦੁਹਰਾ ਵਿੱਚ, ਸਾਰੇ ਵਿਅਕਤੀ ਸਭ ਤੋਂ ਵਧੀਆ ਹੱਲ ਬਾਰੇ ਅਨੁਮਾਨ ਲਗਾਉਂਦੇ ਹਨ ਅਤੇ ਆਪਣੇ ਗਿਆਨ ਨੂੰ ਸਾਂਝਾ ਕਰਦੇ ਹਨ।"

#. SWBAK
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103732\n"
"help.text"
msgid "Variable Bounds Guessing"
msgstr "ਵੇਰੀਏਬਲ ਬਾਊਂਡਸ ਦਾ ਅੰਦਾਜ਼ਾ ਲਗਾਉਣਾ"

#. 86AX8
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id050320091710378\n"
"help.text"
msgid "If enabled (default), the algorithm tries to find variable bounds by looking at the starting values."
msgstr "ਜੇਕਰ ਯੋਗ ਕੀਤਾ ਹੋਵੇ ਤਾਂ (ਡਿਫਾਲਟ), ਐਲਗੋਰਿਧਮ ਸ਼ੁਰੂਆਤੀ ਮੁੱਲਾਂ ਉੱਤੋ ਦੇੱਖਣ ਦੁਆਰਾ ਵੇਰੀਏਬਲ ਬਾਉਂਡਸ ਨੂੰ ਲੱਭਣ ਦੀ ਕੋਸ਼ਿਸ਼ ਕਰਦਾ ਹੈ।"

#. 7tnqA
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103794\n"
"help.text"
msgid "Variable Bounds Threshold"
msgstr "ਵੇਰੀਏਬਲ ਬਾਊਂਡਸ ਥਰਿੱਸ਼ਹੋਲਡ"

#. 6fpGp
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103710\n"
"help.text"
msgid "When guessing variable bounds, this threshold specifies, how the initial values are shifted to build the bounds. For an example how these values are calculated, please refer to the Manual in the Wiki."
msgstr "ਵੇਰੀਏਬਲ ਬਾਊਂਡਸ ਦਾ ਅੰਦਾਜ਼ਾ ਲਗਾਉਣ ਵੇਲੇ, ਥਰਿੱਸ਼ਹੋਲਡ ਨਿਰਧਾਰਿਤ ਕਰਦਾ ਹੈ ਕਿ, ਬਾਊਂਡਸ ਨੂੰ ਬਣਾਉਣ ਲਈ ਸ਼ੁਰੂਆਤੀ ਮੁੱਲਾਂ ਨੂੰ ਕਿਵੇਂ ਹੋਰ ਥਾਂ 'ਤੇ ਭੇਜਿਆ ਜਾਂਦਾ ਹੈ। ਮਿਸਾਲ ਵਜੋਂ ਕਿਵੇਂ ਇਨ੍ਹਾਂ ਮੁੱਲਾਂ ਦੀ ਗਣਨਾ ਕੀਤੀ ਜਾਂਦੀ ਹੈ, ਕਿਰਪਾ ਕਰਕੇ ਵੀਕੀ ਵਿੱਚ ਮੈਨੁਅਲ ਨੂੰ ਦੇਖੇੋ।"

#. 4nKkq
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103740\n"
"help.text"
msgid "Use ACR Comparator"
msgstr "ACR ਕੰਪੈਰੇਟਰ ਦੀ ਵਰਤੋ ਕਰੋ।"

#. eVij6
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103766\n"
"help.text"
msgid "If <emph>disabled</emph> (default), the BCH Comparator is used. It compares two individuals by first looking at their constraint violations and only if those are equal, it measures their current solution."
msgstr "ਜੇਕਰ <emph>ਅਯੋਗ</emph>ਕੀਤਾ ਹੋਵੇ (default) ਤਾਂ, BCH ਕੰਪੈਰੇਟਰ ਦੀ ਵਰਤੋ ਕੀਤੀ ਜਾਂਦੀ ਹੈ। ਇਹ ਪਹਿਲਾਂ ਦੋ ਵਿਅਕਤੀਆਂ ਦੀ, ਉਨ੍ਹਾਂ ਦੀ ਰੋਕਾਂ ਦੀ ਉਲੰਘਣਾ ਨੂੰ ਦੇਖਣ ਦੁਆਰਾ, ਤੁਲਨਾ ਕਰਦਾ ਹੈ ਅਤੇ ਕੇਵਲ ਜੇਕਰ ਉਹ ਬਰਾਬਰ ਹੁੰਦੇ ਹਨ, ਤਾਂ ਉਨ੍ਹਾਂ ਦੇ ਮੌਜੂਦਾ ਹੱਲ ਨੂੰ ਮਾਪਦਾ ਹੈ।"

#. wHTo3
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103744\n"
"help.text"
msgid "If <emph>enabled</emph>, the ACR Comparator is used. It compares two individuals dependent on the current iteration and measures their goodness with knowledge about the libraries worst known solutions (in regard to their constraint violations)."
msgstr "ਜੇਕਰ <emph>ਯੋਗ ਕੀਤਾ ਹੋਵੇ</emph> ਤਾਂ, ACR ਕੰਪੈਰੇਟਰ ਦੀ ਵਰਤੋਂ ਕੀਤੀ ਜਾਂਦੀ ਹੈ। ਇਹ ਮੌਜੂਦਾ ਦੁਹਰਾਵਾਂ ਉੱਤੇ ਨਿਰਭਰ ਦੋ ਵਿਅਕਤੀਆਂ ਦੀ ਤੁਲਨਾ ਕਰਦਾ ਹੈ ਅਤੇ ਲਾਇਬ੍ਰੇਰੀ ਦੇ ਮਾੜੇ ਹੱਲਾਂ (ਉਹਨਾਂ ਦੀ ਰੋਕਾਂ ਦੀ ਉਲੰਘਣਾ ਦੇ ਸਬੰਧ ਵਿੱਚ) ਦੇ ਬਾਰੇ ਉਹਨਾਂ ਦੇ ਗਿਆਨ ਨੂੰ ਮਾਪਦਾ ਹੈ।"

#. 5jPbx
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103792\n"
"help.text"
msgid "Use Random Starting Point"
msgstr "ਬੇਤਰਤੀਬੇ ਸ਼ੁਰੂਆਤੀ ਬਿੰਦੂ ਦੀ ਵਰਤੋਂ ਕਰੋ"

#. pt3XB
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103790\n"
"help.text"
msgid "If <emph>enabled</emph>, the library is simply filled up with randomly chosen points."
msgstr "ਜੇਕਰ <emph>ਯੋਗ ਕੀਤਾ ਹੋਵੇ</emph> ਤਾਂ, ਲਾਇਬ੍ਰੇਰੀ ਸਧਾਰਨ ਤੌਰ 'ਤੇ ਬੇਤਰਤੀਬੇ ਚੁਣੇ ਹੋਏ ਬਿੰਦੂਆਂ ਨਾਲ ਭਰ ਜਾਂਦੀ ਹੈ।"

#. HFv6w
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103765\n"
"help.text"
msgid "If <emph>disabled</emph>, the currently present values (as given by the user) are inserted in the library as reference point."
msgstr ""

#. TYEBG
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0504200917103794\n"
"help.text"
msgid "Stagnation Limit"
msgstr "ਸਟੇਜਨੇਸ਼ਨ ਸੀਮਾ"

#. nWRYK
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id050320091710377\n"
"help.text"
msgid "If this number of individuals found solutions within a close range, the iteration is stopped and the best of these values is chosen as optimal."
msgstr ""

#. UFcxy
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103762\n"
"help.text"
msgid "Stagnation Tolerance"
msgstr "ਸਟੇਜਨੇਸ਼ਨ ਬਰਦਾਸ਼ਤ"

#. F3qEp
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103834\n"
"help.text"
msgid "Defines in what range solutions are considered “similar”."
msgstr "ਸਮਾਨ ਹੈ”."

#. RUbSm
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103891\n"
"help.text"
msgid "Show Enhanced Solver Status"
msgstr "ਹਾਲਤ-ਪੱਟੀ ਵੇਖੋ"

#. zmkYh
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0503200917103832\n"
"help.text"
msgid "If <emph>enabled</emph>, an additional dialog is shown during the solving process which gives information about the current progress, the level of stagnation, the currently best known solution as well as the possibility, to stop or resume the solver."
msgstr ""

#. KH5yg
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"hd_id0603200910392151\n"
"help.text"
msgid "DEPS-specific Options"
msgstr "DEPS-ਅਧਾਰਿਤ ਚੋਣਾਂ"

#. ZU7FF
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394232\n"
"help.text"
msgid "Agent Switch Rate"
msgstr "ਏਜੰਟ ਸਵਿੱਟ ਰੇਟ"

#. 2zhCp
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394248\n"
"help.text"
msgid "Specifies the probability for an individual to choose the Differential Evolution strategy."
msgstr ""

#. 2yhKo
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394277\n"
"help.text"
msgid "DE: Crossover Probability"
msgstr "DE: ਕਰੌਸਓਵਰ ਸੰਭਾਵਨਾ"

#. eDjrN
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394280\n"
"help.text"
msgid "… defines the probability of the individual being combined with the globally best point. If crossover is not used, the point is assembled from the own memory of the individual."
msgstr ""

#. DfF2d
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394216\n"
"help.text"
msgid "DE: Scaling Factor"
msgstr "DE: ਸਕੇਲਿੰਗ ਫੈਕਟਰ"

#. ThmU9
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id060320091039424\n"
"help.text"
msgid "During crossover, the scaling factor decides about the “speed” of movement."
msgstr ""

#. pxYLF
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id060320091039421\n"
"help.text"
msgid "PS: Constriction Coefficient"
msgstr ""

#. CPpbg
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394225\n"
"help.text"
msgid "… defines the speed at which the particles/individuals move towards each other."
msgstr ""

#. dGVYP
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394222\n"
"help.text"
msgid "PS: Cognitive Constant"
msgstr ""

#. HmszE
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394212\n"
"help.text"
msgid "… sets the importance of the own memory (in particular the best reached point so far)."
msgstr ""

#. ktGLv
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394292\n"
"help.text"
msgid "PS: Social Constant"
msgstr "PS: ਸ਼ੋਸ਼ਲ ਕੌਂਸਟੈਂਟ"

#. CkqZA
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394284\n"
"help.text"
msgid "… sets the importance of the global best point between all particles/individuals."
msgstr ""

#. BAGAU
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id060320091039425\n"
"help.text"
msgid "PS: Mutation Probability"
msgstr "PS: ਮਿਊਟੇਸ਼ਨ ਸੰਭਾਵਨਾ"

#. CyJWk
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910394272\n"
"help.text"
msgid "… defines the probability, that instead of moving a component of the particle towards the best point, it randomly chooses a new value from the valid range for that variable."
msgstr ""

#. JbhLh
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"hd_id0603200910401383\n"
"help.text"
msgid "SCO-specific Options"
msgstr "SCO-ਅਧਾਰਿਤ ਚੋਣਾਂ"

#. zCr2J
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id0603200910401382\n"
"help.text"
msgid "Size of Library"
msgstr "ਲਾਇਬਰੇਰੀ ਦਾ ਅਕਾਰ"

#. RSA7B
#: Options.xhp
msgctxt ""
"Options.xhp\n"
"par_id060320091040136\n"
"help.text"
msgid "… defines the amount of information to store in the public library. Each individual stores knowledge there and asks for information."
msgstr "… ਜਨਤਕ ਲਾਇਬ੍ਰੇਰੀ ਵਿੱਚ ਸਟੋਰ ਕਰਨ ਲਈ ਜਾਣਕਾਰੀ ਦੀ ਮਾਤਰਾ ਨੂੰ ਨਿਰਧਾਰਿਤ ਕਰਦਾ ਹੈ। ਹਰੇਕ ਵਿਅਕਤੀਗਤ ਇੱਥੇ ਜਾਣਕਾਰੀ ਨੂੰ ਸਟੋਰ ਕਰਦਾ ਹੈ ਅਤੇ ਜਾਣਕਾਰੀ ਲਈ ਪੁੱਛਦਾ ਹੈ।"

#. CoicK
#: Usage.xhp
msgctxt ""
"Usage.xhp\n"
"tit\n"
"help.text"
msgid "Usage"
msgstr "ਵਰਤੋਂ"

#. B5wxZ
#: Usage.xhp
msgctxt ""
"Usage.xhp\n"
"bm_id0603200910434044_scalc\n"
"help.text"
msgid "<bookmark_value>Solver for Nonlinear Problems;Usage</bookmark_value>"
msgstr "<bookmark_value>ਗੈਰ-ਲੀਨੀਅਰ ਸਮੱਸਿਆਵਾਂ;ਵਰਤੋਂ ਲਈ ਸੌਲਵਰ</bookmark_value>"

#. FXuKu
#: Usage.xhp
msgctxt ""
"Usage.xhp\n"
"hd_id0603200910430882\n"
"help.text"
msgid "Usage"
msgstr "ਵਰਤੋਂ"

#. 8YjMm
#: Usage.xhp
msgctxt ""
"Usage.xhp\n"
"par_id0603200910430845\n"
"help.text"
msgid "Regardless whether you use DEPS or SCO, you start by going to <menuitem>Tools - Solver</menuitem> and set the Cell to be optimized, the direction to go (minimization, maximization) and the cells to be modified to reach the goal. Then you go to the Options and specify the solver to be used and if necessary adjust the according <link href=\"com.sun.star.comp.Calc.NLPSolver/Options.xhp\">parameters</link>."
msgstr ""

#. iuEnw
#: Usage.xhp
msgctxt ""
"Usage.xhp\n"
"par_id0603200910430821\n"
"help.text"
msgid "There is also a list of constraints you can use to restrict the possible range of solutions or to penalize certain conditions. However, in case of the evolutionary solvers DEPS and SCO, these constraints are also used to specify bounds on the variables of the problem. Due to the random nature of the algorithms, it is <emph>highly recommended</emph> to do so and give upper (and in case \"Assume Non-Negative Variables\" is turned off also lower) bounds for all variables. They don't have to be near the actual solution (which is probably unknown) but should give a rough indication of the expected size (0 ≤ var ≤ 1 or maybe -1000000 ≤ var ≤ 1000000)."
msgstr ""

#. E5pcq
#: Usage.xhp
msgctxt ""
"Usage.xhp\n"
"par_id0603200910430873\n"
"help.text"
msgid "Bounds are specified by selecting one or more variables (as range) on the left side and entering a numerical value (not a cell or a formula) on the right side. That way you can also choose one or more variables to be <emph>Integer</emph> or <emph>Binary</emph> only."
msgstr ""

#. 4SEEA
#: help.tree
msgctxt ""
"help.tree\n"
"08\n"
"help_section.text"
msgid "Solver for Nonlinear Problems"
msgstr "ਗ਼ੈਰ-ਲੀਨੀਅਰ ਸਮੱਸਿਆਵਾਂ ਲਈ ਸੋਲਵਰ"

#. 3sHVz
#: help.tree
msgctxt ""
"help.tree\n"
"0816\n"
"node.text"
msgid "Solver for Nonlinear Problems"
msgstr "ਗ਼ੈਰ-ਲੀਨੀਅਰ ਸਮੱਸਿਆਵਾਂ ਲਈ ਸੋਲਵਰ"
